package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxRentContract;
import com.iformall.domain.vo.WxRentPropertyContractVo;

/**
 * @author gongbiao
 */
public interface WxRentPropertyContractService {

    PageInfo<WxRentPropertyContractVo> listContractVo(WxRentPropertyContractVo wxRentPropertyContractVo, Integer pageNum, Integer pageSize);

    ResultData getContractInfo(Long id);

    ResultData getContractApplyInfo(Long id);

    ResultData insertRentForCreate(WxRentContract wxRentContract);

}
